Page MenuHomePhabricator

Special:AggregateGroups@metawiki fails to load properly
Closed, ResolvedPublic

Description

Apart from taking a lot of time, when it finally displays, it does so badly.

Screenshot:

Thank you.

Details

Related Gerrit Patches:
mediawiki/extensions/Translate : masterUse LinkBatch in Special:AggregateGroups

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 13 2018, 11:12 AM
D3r1ck01 updated the task description. (Show Details)Aug 13 2018, 12:44 PM

I cannot reproduce. There is no indication of bug in Translate. It looks like some JavaScript failed to load, which can be explained by a connectivity issue.

The simple profiling does show it is a slow (10s): https://performance.wikimedia.org/xhgui/url/view?url=%2F%2FW3PhdwpAIHsAAHkuyAIAAAAI%2Fw%2Findex.php

Debug logs show it does around 4k DB queries (mainly from LinkCache::fetchPageRow, I'll look into that.

Change 452908 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/extensions/Translate@master] Use LinkBatch in Special:AggregateGroups

https://gerrit.wikimedia.org/r/452908

Arrbee triaged this task as Medium priority.Aug 20 2018, 7:17 AM

Change 452908 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Use LinkBatch in Special:AggregateGroups

https://gerrit.wikimedia.org/r/452908

MarcoAurelio closed this task as Resolved.Aug 28 2018, 10:47 AM
Nikerabbit reopened this task as Open.Aug 28 2018, 10:56 AM

This is pending verification once it is deployed.

I tested this on mediawiki.org: it seems I only reduced queries to one per aggregate group instead of one per all groups. Tomorrow I'll check on meta to see what is the situation and whether it needs to be improved further.

MeasureBeforeAfter
queries4k180
wall time12,145,523 µs5,830,861 µs
cpu time9,064,000 µs5,072,000 µs

I consider this sufficient for now.

Pginer-WMF closed this task as Resolved.Sep 3 2018, 9:28 AM
Pginer-WMF added a subscriber: Pginer-WMF.

I consider this sufficient for now.

It seems a significant improvement. We can mark the ticket as resolved.